org.apache.jasper.compiler

## Class BeanRepository

- java.lang.Object
- - org.apache.jasper.compiler.BeanRepository

-     public class BeanRepository
      extends Object

  Repository of {page, request, session, application}-scoped beans
  Author:
    Mandar Raje, Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanRepository(ClassLoader loader, ErrorDispatcher err)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBean(Node.UseBean n, String s, String type, String scope)`
    `boolean` | `checkVariable(String bean)`
    `Class<?>` | `getBeanType(String bean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanRepository

          public BeanRepository(ClassLoader loader,
                        ErrorDispatcher err)

      Constructor.
      Parameters:
        `loader` - The class loader
        `err` - The error dispatcher that will be used to report errors

  - ### Method Detail

    - #### addBean

          public void addBean(Node.UseBean n,
                     String s,
                     String type,
                     String scope)
                       throws JasperException

      Throws:
        `JasperException`

    - #### getBeanType

          public Class<?> getBeanType(String bean)
                               throws JasperException

      Throws:
        `JasperException`

    - #### checkVariable

          public boolean checkVariable(String bean)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.